
QGIS Application - Bug report #1758

Tools (Ftools): clip and difference tools give the same results

2009-07-05 02:15 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11818

Description

a) pick a layer

b) pick a grid that overlaps the above layer

c) do a "clip" operation with ftools using the grid as "clip layer"

d) do a "intersect" operation with ftools using the grid as "clip layer"

e) compare the results, seems to me identical

Should the "Clip Tool "use just the borders of the "clip layer"?.

Here you can download the shapesfiles (epsg 20790) I used/resulted in my test (qgis 1.2 rev. 11023, Ubuntu 9.04). "Inso" is the base

layer, the rest are pretty self-explanatory.

http://www.faunalia.pt/downloads/ftools_test.tar.gz

Associated revisions

Revision 52996e72 - 2009-08-11 12:13 AM - cfarmer -

Fix clip geoprocessing function: Fixes #1758

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11339 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision b466b2b6 - 2009-08-11 12:13 AM - cfarmer -

Fix clip geoprocessing function: Fixes #1758

git-svn-id: http://svn.osgeo.org/qgis/trunk@11339 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision ed40da8f - 2009-08-12 02:49 AM - cfarmer -

Additional updates to 'Clip' Geoprocessing tool: Properly fixes #1758.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11348 c8812cc2-4d05-0410-92ff-de0c093fc19c
Revision ad3028bb - 2009-08-12 02:49 AM - cfarmer -

Additional updates to 'Clip' Geoprocessing tool: Properly fixes #1758.

git-svn-id: http://svn.osgeo.org/qgis/trunk@11348 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-08-10 03:50 PM - cfarmer -

- Status changed from Open to Closed

- Resolution set to fixed

Should now be fixed in commit:b466b2b6 (SVN r11340). Please test and reopen ticket if not fixed properly.

Note: In some cases geometries may still be mis-formed. This is a separate issue, and will be addressed soon.

- Carson

#2 - 2009-08-11 01:33 AM - Giovanni Manghi

Replying to [comment:2 cfarmer]:

Note: In some cases geometries may still be mis-formed. This is a separate issue, and > will be addressed soon.

See attached image. Is this one of this cases?

#3 - 2009-08-11 07:15 AM - cfarmer -

Replying to [comment:4 lutra]:

See attached image. Is this one of this cases?

Yes. This appears to be an issue with the type of geometries that GEOS is returning. I have tried to eliminate these spurious geometries, but as you can

see there is still some cleaning up to do...

-Carson

#4 - 2009-08-11 07:16 AM - Giovanni Manghi

I don't know if it is important, but have you noticed that with Intersect this doesn't happens?

#5 - 2009-08-11 05:51 PM - cfarmer -

Replying to [comment:4 lutra]:

See attached image. Is this one of this cases?
This should now be behaving properly in commit:ad3028bb (SVN r11349). I have changed the underlying logic, so this tools should be slightly faster, and

work better with large, complex datasets.

The test dataset provided with this ticket now works properly (as far as I can tell), however, please test and reopen this ticket if problem(s) persists.

-Carson

#6 - 2009-08-12 01:19 AM - Giovanni Manghi

Replying to [comment:7 cfarmer]:

The test dataset provided with this ticket now works properly (as far as I can tell), however, please test and reopen this ticket if problem(s) persists.

Seems to work fine!

Thanks a lot,

-- Giovanni --

#7 - 2009-10-07 01:01 AM - Paolo Cavallini

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

Now clip and difference seem to give the same result

#8 - 2009-11-30 01:24 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Hi Paolo, I made a few tests and seems to me that clip and difference are giving the right results. Feel free to reopen if is the case.
